/** base page layout **/

:root {
    /**
     * the colors should be moved into here as vars
     * then referenced
     */
    --bgBody: #E2E2E2;
    --bgMain: #FEFEFE;
    --bgContent: #FFFFFF;
}

html, body {
  margin:0;
  padding:0;
  width:100%;
}
body {
  background: var(--bgBody);
  margin:0;
  padding:0;
  display:flex;
  flex-direction:column;
  width:100%;
  
}

img,div,span,b {
  max-width:100%;
}

/** content area layout */
main {
  min-height:calc(100vh - 259px);
  margin:0;
  align-self:center;
  min-width:40%;
  background: var(--bgMain);
  width:100%;
}

#content_area {
  min-height:50%;
  min-width:40%;
  background: var(--bgContent);
  padding:0;
  max-width:60rem;
  margin-left:auto;
  margin-right:auto;
}

.flex-container {
  display:flex;  
  flex-wrap:wrap;
  justify-content:center;
}

.flex-container section {
  flex: 1;
  padding:24px;
  margin:0;
  min-width:15em;
}

p {
  padding:8px;
}
